How to mimic GetShapesOnShape for FACE

Hi,
GetShapesOnShape is only working for SOLID.
I would like to use a similar method but for FACE.
How can I proceed?

My goal is to find the edges at the intersection of FACE1 and FACE2
and create a group of EDGE for FACE1 that contains the edges in the intersection

Thanks for any idea how to do that
Best

PS: I can find the intersection with MakeSection but I haven’t manage to create a group

if the faces are from the same entity, solid, compound etc.
you can simply get the IDs of the edges for each face, and they will share one ID this one is the one that is shared.
here you have an example
t1.py (2,4 KB)
you could also probably get the edge itself by using geompy.MakeCommon function between the two faces in case that are not shared by the same entity but this will be slower
best regards.
F.

Hello,
instead of GetShapesOnShape you can use:
edges = geompy.ExtractShapes(surf1, geompy.ShapeType[“EDGE”], True)

Konyaro